Page MenuHomePhabricator

Add explainer text to CC payment form (for banner checkbox experience)
Closed, ResolvedPublic2 Story Points

Description

The banner team has designed a banner with the opt-in checkbox. This is not likely to be the final implementation of the checkbox (we like it on the payments form), but we want to run this as a test for a proof of concept:

https://en.wikipedia.org/wiki/NASA?banner=peter_20180723_dsk_lg_gdpr_2&force=1&country=US

Because the banner has the email opt-in, we realized there's some dissonance if you select the "No" option and then see an email field on the credit card form. We'd like to add a short bit of explainer text below the email field on the form so people understand why it's there:

We will email you a receipt to confirm your donation.

Can we add this so it's ready for the banner test on Wednesday? Is it possible to have this on only 1 variation of the GB/IE form?

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterJS module to add English email explainer

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2018, 5:45 PM
CCogdill_WMF triaged this task as High priority.Jul 23 2018, 5:49 PM
Ejegg claimed this task.Jul 25 2018, 9:14 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Owls board.
Ejegg set the point value for this task to 2.

Change 447919 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] JS module to add English email explainer

https://gerrit.wikimedia.org/r/447919

Ejegg moved this task from Doing to Review on the Fundraising Sprint Owls board.Jul 25 2018, 9:21 PM

Change 447919 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] JS module to add English email explainer

https://gerrit.wikimedia.org/r/447919

Ejegg moved this task from Review to Done on the Fundraising Sprint Owls board.Jul 27 2018, 10:17 PM

Done, awesome! @Ejegg I know you said we had to use the &variant= parameter to show this on a specific form. Did you define the variant name or do we need to?

I set up a variant called emailExplain. It's all deployed, but for some reason it's still not showing unless I add &debug=true to the URL. I think that means it's just caching the old modules, and that by Monday it'll load without debug.

Also, that variant is configured for adyen, globalcollect (old-api) and ingenico (new-api) forms

Awesome! cc @Pcoombe FYI on the &variant=emailExplain parameter, which we should have for all the opt-in banner tests next week.

Thanks @Ejegg! It's working without debug mode for me now.

Ejegg closed this task as Resolved.Jul 31 2018, 8:24 PM